| Home | Libraries | People | FAQ | More

## Class required_option

boost::program_options::required_option

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class required_option : public boost::program_options::error_with_option_name {
    public:
      // construct/copy/destruct
      required_option(const std::string &);
      ~required_option();
    };

## Description

Class thrown when a required/mandatory option is missing

### `required_option` public construct/copy/destruct

1.     required_option(const std::string & option_name);

2.     ~required_option();